
From: Adrian Bunk <bunk@stusta.de>

This patch makes some needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/tridentfb.c |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

diff -puN drivers/video/tridentfb.c~tridentfbc-make-some-code-static drivers/video/tridentfb.c
--- 25/drivers/video/tridentfb.c~tridentfbc-make-some-code-static	Mon Feb  7 15:19:31 2005
+++ 25-akpm/drivers/video/tridentfb.c	Mon Feb  7 15:19:31 2005
@@ -31,7 +31,7 @@ struct tridentfb_par {
 	void __iomem * io_virt;	//iospace virtual memory address
 };
 
-unsigned char eng_oper;		//engine operation...
+static unsigned char eng_oper;		//engine operation...
 static struct fb_ops tridentfb_ops;
 
 static struct tridentfb_par default_par;
@@ -91,7 +91,7 @@ module_param(crt, int, 0);
 static int chip3D;
 static int chipcyber;
 
-int is3Dchip(int id)
+static int is3Dchip(int id)
 {
 	return 	((id == BLADE3D) || (id == CYBERBLADEE4) ||
 		 (id == CYBERBLADEi7) || (id == CYBERBLADEi7D) ||
@@ -104,7 +104,7 @@ int is3Dchip(int id)
 		 (id ==	CYBERBLADEXPAi1));
 }
 
-int iscyber(int id)
+static int iscyber(int id)
 {
 	switch (id) {
 		case CYBER9388:		
@@ -1216,9 +1216,9 @@ static struct pci_driver tridentfb_pci_d
 	.remove		= __devexit_p(trident_pci_remove)
 };
 
-int tridentfb_setup(char *options);
+static int tridentfb_setup(char *options);
 
-int __init tridentfb_init(void)
+static int __init tridentfb_init(void)
 {
 #ifndef MODULE
 	char *option = NULL;
@@ -1231,7 +1231,7 @@ int __init tridentfb_init(void)
 	return pci_module_init(&tridentfb_pci_driver);
 }
 
-void __exit tridentfb_exit(void)
+static void __exit tridentfb_exit(void)
 {
 	pci_unregister_driver(&tridentfb_pci_driver);
 }
@@ -1242,7 +1242,8 @@ void __exit tridentfb_exit(void)
  * example:
  * 	video=trident:800x600,bpp=16,noaccel
  */
-int tridentfb_setup(char *options)
+#ifndef MODULE
+static int tridentfb_setup(char *options)
 {
 	char * opt;
 	if (!options || !*options)
@@ -1272,6 +1273,7 @@ int tridentfb_setup(char *options)
 	}
 	return 0;
 }
+#endif
 
 static struct fb_ops tridentfb_ops = {
 	.owner	= THIS_MODULE,
_
